升级OpenSSL版本规避漏洞

作者: shaneZhang 分类: 互联网技术 发布时间: 2016-10-21 15:54

今天接到警告,报告了一个OpenSSL的CVE-2016-2107漏洞,心想着赶紧升级一下吧,哈哈哈

小记升级步骤:


tar -zxvf  openssl-1.0.1u.tar.gz
cd openssl-1.0.1u
./config shared zlib
make
make install

#备份原先的版本
mv /usr/bin/openssl /usr/bin/openssl.old
mv /usr/include/openssl /usr/include/openssl.old
 
#设置软连接使其使用新的OpenSSL版本 刚刚安装的OpenSSL默认安装在/usr/local/ssl
ln -s /usr/local/ssl/bin/openssl /usr/bin/openssl
ln -s /usr/local/ssl/include/openssl /usr/include/openssl
#更新动态链接库数据
echo "/usr/local/ssl/lib" >> /etc/ld.so.conf
ldconfig -v
  • 安装完成了

本页面支持AMP友好显示:升级OpenSSL版本规避漏洞

如果觉得我的文章对您有用,请随意打赏。如果有其他问题请联系博主QQ(909491009)或者下方留言!

发表评论

电子邮件地址不会被公开。 必填项已用*标注